---
title: 'Get auctions'
description: 'Returns a list of auctions with optional filtering and pagination.'
openapi: GET /api/auctions
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`GET /api/auctions`

`GET https://admin.snagsolutions.io/api/auctions`

Returns a list of auctions with optional filtering and pagination.

## Authentication

- `apiKeyAuth` — apiKey in header: `X-API-KEY`

## Response 200

200
  - response (object) — Schema for the response when fetching auctions
    - `data` (array, required)
      - `items` (object) — Schema representing an auction
        - `id` (string, uuid, required)
        - `websiteId` (string, uuid, required)
        - `organizationId` (string, uuid, required)
        - `mintingContractId` (string, uuid, required)
        - `userId` (string, uuid, required)
        - `reservePrice` (string, required)
        - `minBidIncrement` (string, required)
        - `minBidAmount` (string, required)
        - `currencyAddress` (string, required)
        - `loyaltyCurrencyId` (string, uuid, required)
        - `currencyDecimals` (number, required)
        - `startsAt` (string, date-time, required)
        - `endsAt` (string, date-time, required)
        - `extendedDurationInSeconds` (number, required)
        - `hideBids` (boolean, required)
        - `type` (string, required, one of: first_price, second_price, english)
        - `status` (string, required, one of: in_progress, completed, cancelled)
        - `biddersOwnCollectionAddresses` (array, required)
          - `items` (string)
        - `name` (string, required)
        - `description` (string, required)
        - `network` (string, required, one of: ethereum, zksync)
        - `signature` (string, required)
        - `createdAt` (string, date-time, required)
        - `updatedAt` (string, date-time, required)
        - `deletedAt` (string, date-time, required)
        - `loyaltyCurrency` (object, required) — Schema representing a loyalty currency
          - `id` (string, uuid, required)
          - `name` (string, required)
          - `symbol` (string, required)
          - `decimals` (number, required)
          - `imageUrl` (string, required)
        - `auctionBids` (array, required)
          - `items` (object) — Schema representing an auction bid
            - id: … (nested further)
            - amount: … (nested further)
            - createdAt: … (nested further)
    - `hasNextPage` (boolean, required)

## Response 403

403
  - response (object) — Schema for forbidden response
    - `message` (string, required) — Error message

## Response 500

500
  - response (object) — Schema for internal server error response
    - `success` (boolean, required) — Indicates operation success
    - `message` (string, required) — Error message
    - `debugInfo` (string) — Optional debug information


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
